Bug 750648 - (CVE-2011-4102) CVE-2011-4102 wireshark: buffer overflow in the ERF file reader
CVE-2011-4102 wireshark: buffer overflow in the ERF file reader
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111021,repor...
: Security
Depends On: 750649 809045 809046 834180
Blocks: 750654 807617 816611
  Show dependency treegraph
 
Reported: 2011-11-01 17:13 EDT by Vincent Danen
Modified: 2015-11-24 09:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 04:10:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-11-01 17:13:43 EDT
A buffer overflow flaw was found in the way that Wireshark 1.4.0 through 1.4.9 and 1.6.0 through 1.6.2 handled reading ERF files.  This could cause wireshark to crash by reading a malformed packet trace file.  This is corrected in wireshark 1.6.3.

References:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6479
http://anonsvn.wireshark.org/viewvc?view=revision&revision=39508


External References:

http://www.wireshark.org/security/wnpa-sec-2011-19.html
Comment 1 Vincent Danen 2011-11-01 17:15:32 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 750649]
Comment 2 Vincent Danen 2011-11-01 18:07:40 EDT
This was assigned the name CVE-2011-4102:

http://www.openwall.com/lists/oss-security/2011/11/01/9
Comment 9 errata-xmlrpc 2012-04-23 12:52:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 12 Murray McAllister 2012-10-03 00:25:27 EDT
Acknowledgements:

This issue was discovered by Huzaifa Sidhpurwala of the Red Hat Security Response Team.
Comment 14 errata-xmlrpc 2013-01-08 00:00:38 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0125 https://rhn.redhat.com/errata/RHSA-2013-0125.html
Comment 16 Huzaifa S. Sidhpurwala 2013-01-08 04:10:29 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.